JavaScript
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://core.prod.gnosispay.com/user-api/3ds/challenges/{challengeId}/decision', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://core.prod.gnosispay.com/user-api/3ds/challenges/{challengeId}/decision \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://core.prod.gnosispay.com/user-api/3ds/challenges/{challengeId}/decision"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://core.prod.gnosispay.com/user-api/3ds/challenges/{challengeId}/decision"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://core.prod.gnosispay.com/user-api/3ds/challenges/{challengeId}/decision")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://core.prod.gnosispay.com/user-api/3ds/challenges/{challengeId}/decision")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"serverTime": "2023-11-07T05:31:56Z",
"challenge": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant": {
"id": "<string>",
"displayName": "<string>",
"country": "<string>",
"categoryCode": "<string>"
},
"status": "pending",
"expiresAt": "2023-11-07T05:31:56Z",
"decisionAvailable": true,
"amount": "<string>",
"currency": "<string>",
"decimals": 123,
"decision": "approve"
}
}{
"serverTime": "2023-11-07T05:31:56Z",
"challenge": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant": {
"id": "<string>",
"displayName": "<string>",
"country": "<string>",
"categoryCode": "<string>"
},
"status": "pending",
"expiresAt": "2023-11-07T05:31:56Z",
"decisionAvailable": true,
"amount": "<string>",
"currency": "<string>",
"decimals": 123,
"decision": "approve"
}
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}3DS
Post 3dschallenges decision
POST
/
3ds
/
challenges
/
{challengeId}
/
decision
JavaScript
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://core.prod.gnosispay.com/user-api/3ds/challenges/{challengeId}/decision', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://core.prod.gnosispay.com/user-api/3ds/challenges/{challengeId}/decision \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://core.prod.gnosispay.com/user-api/3ds/challenges/{challengeId}/decision"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://core.prod.gnosispay.com/user-api/3ds/challenges/{challengeId}/decision"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://core.prod.gnosispay.com/user-api/3ds/challenges/{challengeId}/decision")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://core.prod.gnosispay.com/user-api/3ds/challenges/{challengeId}/decision")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"serverTime": "2023-11-07T05:31:56Z",
"challenge": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant": {
"id": "<string>",
"displayName": "<string>",
"country": "<string>",
"categoryCode": "<string>"
},
"status": "pending",
"expiresAt": "2023-11-07T05:31:56Z",
"decisionAvailable": true,
"amount": "<string>",
"currency": "<string>",
"decimals": 123,
"decision": "approve"
}
}{
"serverTime": "2023-11-07T05:31:56Z",
"challenge": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant": {
"id": "<string>",
"displayName": "<string>",
"country": "<string>",
"categoryCode": "<string>"
},
"status": "pending",
"expiresAt": "2023-11-07T05:31:56Z",
"decisionAvailable": true,
"amount": "<string>",
"currency": "<string>",
"decimals": 123,
"decision": "approve"
}
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}Path Parameters
Body
application/json
Available options:
approve, decline